#1434 closed defect (wontfix)

time.h has incomplete type

Reported by: gxfarmer Owned by: Chris Johns
Priority: normal Milestone: 4.9
Component: unspecified Version: 4.9
Severity: critical Keywords:
Cc: Blocked By:
Blocking:

Description (last modified by Gedare Bloom)

Host OS windows XP
mingw5.14
RTEMS 4.9.1 /4.9.2

rtems 4.9.1/2 build failed.

the message as follow:

Making all in score
make[5]: Entering directory `/d/rtems/rtems-4.9.1-i386/i386-rtems4.9/c/pc486/cpukit/score'
Making all in cpu
make[6]: Entering directory `/d/rtems/rtems-4.9.1-i386/i386-rtems4.9/c/pc486/cpukit/score/cpu'
Making all in i386
make[7]: Entering directory `/d/rtems/rtems-4.9.1-i386/i386-rtems4.9/c/pc486/cpukit/score/cpu/i386'
i386-rtems4.9-gcc --pipe -DHAVE_CONFIG_H -I../../.. -I../../../../cpukit/../../../pc486/lib/include -Wall -fasm -mtune=i486 -O2 -g -MT libscorecpu_a-cpu.o -MD -MP -MF .deps/libscorecpu_a-cpu.Tpo -c -o libscorecpu_a-cpu.o test -f 'cpu.c' || echo '../../../../../../../../rtems-4.9.1/c/src/../../cpukit/score/cpu/i386/'cpu.c
In file included from ../../../../cpukit/../../../pc486/lib/include/rtems/score/tod.h:27,

from ../../../../cpukit/../../../pc486/lib/include/rtems/rtems/types.h:35,
from ../../../../cpukit/../../../pc486/lib/include/rtems.h:49,
from ../../../../../../../../rtems-4.9.1/c/src/../../cpukit/score/cpu/i386/cpu.c:15:

c:\MinGW\include/time.h:187: error: expected '=', ',', ';', 'asm' or 'attribute' before 'char'
In file included from ../../../../cpukit/../../../pc486/lib/include/rtems/rtems/tasks.h:40,

from ../../../../cpukit/../../../pc486/lib/include/rtems/rtems/config.h:22,
from ../../../../cpukit/../../../pc486/lib/include/rtems/config.h:58,
from ../../../../cpukit/../../../pc486/lib/include/rtems.h:51,
from ../../../../../../../../rtems-4.9.1/c/src/../../cpukit/score/cpu/i386/cpu.c:15:

../../../../cpukit/../../../pc486/lib/include/rtems/score/thread.h:381: error: field 'cpu_time_used' has incomplete type
In file included from ../../../../cpukit/../../../pc486/lib/include/rtems.h:72,

from ../../../../../../../../rtems-4.9.1/c/src/../../cpukit/score/cpu/i386/cpu.c:15:

../../../../cpukit/../../../pc486/lib/include/rtems/rtems/ratemon.h:141: error: field 'min_cpu_time' has incomplete type
../../../../cpukit/../../../pc486/lib/include/rtems/rtems/ratemon.h:143: error: field 'max_cpu_time' has incomplete type
../../../../cpukit/../../../pc486/lib/include/rtems/rtems/ratemon.h:145: error: field 'total_cpu_time' has incomplete type
../../../../cpukit/../../../pc486/lib/include/rtems/rtems/ratemon.h:148: error: field 'min_wall_time' has incomplete type
../../../../cpukit/../../../pc486/lib/include/rtems/rtems/ratemon.h:150: error: field 'max_wall_time' has incomplete type
../../../../cpukit/../../../pc486/lib/include/rtems/rtems/ratemon.h:152: error: field 'total_wall_time' has incomplete type
../../../../cpukit/../../../pc486/lib/include/rtems/rtems/ratemon.h:170: error: field 'since_last_period' has incomplete type
../../../../cpukit/../../../pc486/lib/include/rtems/rtems/ratemon.h:177: error: field 'executed_since_last_period' has incomplete type
../../../../cpukit/../../../pc486/lib/include/rtems/rtems/ratemon.h:198: error: field 'owner_executed_at_period' has incomplete type
../../../../cpukit/../../../pc486/lib/include/rtems/rtems/ratemon.h:204: error: field 'time_at_period' has incomplete type
make[7]: * [libscorecpu_a-cpu.o] Error 1
make[7]: Leaving directory `/d/rtems/rtems-4.9.1-i386/i386-rtems4.9/c/pc486/cpukit/score/cpu/i386'
make[6]:
* [all-recursive] Error 1
make[6]: Leaving directory `/d/rtems/rtems-4.9.1-i386/i386-rtems4.9/c/pc486/cpukit/score/cpu'
make[5]: * [all-recursive] Error 1
make[5]: Leaving directory `/d/rtems/rtems-4.9.1-i386/i386-rtems4.9/c/pc486/cpukit/score'
make[4]:
* [all-recursive] Error 1
make[4]: Leaving directory `/d/rtems/rtems-4.9.1-i386/i386-rtems4.9/c/pc486/cpukit'
make[3]: * [all] Error 2
make[3]: Leaving directory `/d/rtems/rtems-4.9.1-i386/i386-rtems4.9/c/pc486/cpukit'
make[2]:
* [all-recursive] Error 1
make[2]: Leaving directory `/d/rtems/rtems-4.9.1-i386/i386-rtems4.9/c/pc486'
make[1]: * [all-recursive] Error 1
make[1]: Leaving directory `/d/rtems/rtems-4.9.1-i386/i386-rtems4.9/c'
make:
* [all-recursive] Error 1

Change History (4)

comment:1 Changed on May 14, 2010 at 3:52:24 AM by Chris Johns

Resolution: wontfix
Status: newclosed

comment:2 Changed on May 14, 2010 at 3:52:39 AM by Chris Johns

Closed.

comment:3 Changed on Nov 22, 2014 at 8:06:27 PM by Gedare Bloom

Description: modified (diff)
Milestone: 24.9
Version: unknown4.9

comment:4 Changed on Oct 10, 2017 at 6:10:34 AM by Sebastian Huber

Component: MinGWunspecified
Note: See TracTickets for help on using tickets.